<section class="ps-content-section" [formGroup]="formGroup">
  <div style="padding: 20px;">
    <div class="row">

      <div class="col-sm-6">
        <div class="text-right w-100" style="margin-top: -16px;">
          <div class="required-label-top">Required</div>
        </div>
        <!-- <mat-form-field [appearance]="apperance" class="full-width">
          <mat-label>Refund Date</mat-label>
          <input matInput [matDatepicker]="picker" formControlName="injuryDate" />
          <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
          <mat-datepicker #picker></mat-datepicker>
          <mat-error *ngIf="formGroup.get('refundDate').hasError('required')">
            This field is required.
          </mat-error>
        </mat-form-field> -->
        <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
          <mat-label>Pay Date</mat-label>
          <input matInput [matDatepicker]="picker" formControlName="payDate" />
          <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
          <mat-datepicker #picker></mat-datepicker>
          <mat-error *ngIf="formGroup.get('payDate').hasError('required')">
            This field is required.
          </mat-error>
        </mat-form-field>
      </div>

      <div class="col-sm-6">
        <div class="text-right w-100" style="margin-top: -16px;">
          <div class="required-label-top">Required</div>
        </div>
        <mat-form-field appearance="outline" class="full-width">
          <mat-label>Pay Type</mat-label>
          <mat-select formControlName="paymentType">
            <mat-option *ngFor="let p of paymentTypes" [value]="p.id">
              {{ p.paymentType }}
            </mat-option>
          </mat-select>

          <mat-error *ngIf="formGroup.get('paymentType').hasError('required')">
            This field is required.
          </mat-error>
        </mat-form-field>
      </div>

    </div>

    <div class="row">

      <div class="col-sm-6">
        <div class="text-right w-100" style="margin-top: -16px;">
          <div class="required-label-top">Required</div>
        </div>
        <mat-form-field [appearance]="apperance" class="full-width">
          <mat-label>Amount</mat-label>
          <input matInput placeholder="Amount" type="number" formControlName="amount" />

          <mat-error *ngIf="formGroup.get('amount').hasError('required')">
            This field is required.
          </mat-error>
        </mat-form-field>
      </div>

    </div>



    <div class="w-100">
      <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
        <mat-label class="disable-label">Notes</mat-label>
        <textarea formControlName="notes" matInput style="height: 100px;"></textarea>
      </mat-form-field>
    </div>
  </div>

  <div class="app-popup-footer">
    <button mat-stroked-button #btnRef="matButton" color="accent" class="action-btn" (click)="cancel()">
      Cancel
    </button>
    <button mat-raised-button color="accent" class="action-btn ml-2" (click)="createInvoicePayment(invoiceId)">
      Save
    </button>
  </div>
</section>